Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 705244 - =dev-db/libzdb-3.1-r1 uses lexicographical version compare
Summary: =dev-db/libzdb-3.1-r1 uses lexicographical version compare
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Thomas Raschbacher
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 705240
  Show dependency tree
 
Reported: 2020-01-12 11:04 UTC by Sergei Trofimovich
Modified: 2020-02-18 23:56 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Trofimovich gentoo-dev 2020-01-12 11:04:06 UTC
dev-db/libzdb uses lexicographical string version compare:

dev-db/libzdb/libzdb-3.1-r1.ebuild:	if  [[ $(gcc-version) < 4.1 ]];then
dev-db/libzdb/libzdb-3.1.ebuild:	if  [[ $(gcc-version) < 4.1 ]];then

The intention is likely to use 'ver_cmp'. See bug #705240 for hints to fix it.
Comment 1 Larry the Git Cow gentoo-dev 2020-02-18 13:58:22 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9cf2e8e3fc6262e7dd0166c9317450ce62bb45c4

commit 9cf2e8e3fc6262e7dd0166c9317450ce62bb45c4
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-02-18 13:57:41 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-02-18 13:58:10 +0000

    dev-db/libzdb: drop lexicographical comparison, bug #705244
    
    Closes: https://bugs.gentoo.org/705244
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 dev-db/libzdb/libzdb-3.1-r1.ebuild | 9 +++------
 dev-db/libzdb/libzdb-3.1.ebuild    | 9 +++------
 2 files changed, 6 insertions(+), 12 deletions(-)
Comment 2 Michael 'veremitz' Everitt 2020-02-18 23:56:28 UTC
Fixed atom syntax in Summary :]